Skip to main content

Updates a Service

PUT 

/qsystem/rest/config/services/:serviceId

Updates a Service.

curl -u user:password -i -X PUT -H 'content-type:application/json' -d
'{"id":6,"internalName":"Internal name","internalDescription":"Internal description","externalName":"External name","externalDescription":"External description","targetServingTime":300,"ticketTemplateId":45,"mobileEnabled":false,"bookingEnabled":false,"outcomes":[50, 150],"deliveredServices":[22, 99]}'
http://orchestra-host:orchestra-port/qsystem/rest/config/services/{serviceId}
  • If no external name is given, it will be set to the internal name.

  • If no targetServingTime is set, it will default to 300.

  • If no ticket template is set, a ticket template will be set (usually the default ticket template).

  • If not set, bookingEnabled and mobileEnabled will default to false.

Request​

Responses​

An Service